#!/usr/bin/env python
#-*- coding: utf-8 -*-
"""
The replace file replaces the default Baguette on Snails prompt in the html file
with the same, but blue-white-red.

LICENSE

    This file is part of the "Baguette on Snails" prank talk.

    Any file in this archive, except where stipulated is released under
    the terms of the WTFPL.

    This program is free software. It comes without any warranty, to
    the extent permitted by applicable law. You can redistribute it
    and/or modify it under the terms of the Do What The Fuck You Want
    To Public License, Version 2, as published by Sam Hocevar. See
    http://sam.zoy.org/wtfpl/COPYING for more details.
"""
LETTERS = (
    ('B', 'blue'),
    ('o', 'white'),
    ('s', "red"),
)

def new_prompt():
    s = []
    for letter, color in LETTERS:
        s.append('<span style="color: %s">%s</span>' % (color, letter))
    s.append(' $')
    return ''.join(s)

def main():
    fd = open('index.html', 'r')
    content = fd.read()
    fd.close()
    fd = open('index.html', 'w')
    fd.write(content.replace('Bos $', new_prompt()))
    fd.close()

if __name__ == '__main__':
    main()
